/* $Id: tw_http.h 17 2024-09-13 17:41:07Z nishi $ */

#ifndef __TW_HTTP_H__
#define __TW_HTTP_H__

struct tw_http_request {
	char* method;
	char* path;
	char* version;
	char** headers;
	char* body;
};

struct tw_http_response {
	char** headers;
};

#ifdef SOURCE
#include <openssl/ssl.h>
int tw_http_parse(SSL* ssl, int sock, struct tw_http_request* req);
#endif

#endif
